summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLennart Poettering <mzyvopt@0pointer.de>2010-03-24 15:52:23 +0100
committerDhaval Giani <dhaval.giani@gmail.com>2010-03-24 17:06:20 +0100
commit48d668b8970241f52434e76ffffc017244d5f364 (patch)
tree7b8a2420b918049890862c73ed3798443b7b892e
parentfa1b4959d35fa011d55e3a676be355d9ed3a100c (diff)
downloadlibcg-48d668b8970241f52434e76ffffc017244d5f364.tar.gz
libcg-48d668b8970241f52434e76ffffc017244d5f364.tar.xz
libcg-48d668b8970241f52434e76ffffc017244d5f364.zip
build-sys: add bootstrap.sh
Most projects carry a bootstrap.sh/autogen.sh file that calls the autotools in the right order. This bootstrap.sh also enables the default git commit hook which enforces a strict kernel-like whitespace regime. Signed-off-by: Lennart Poettering <lennart@poettering.net> Signed-off-by: Dhaval Giani <dhaval.giani@gmail.com>
-rwxr-xr-xbootstrap.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
new file mode 100755
index 0000000..08a054f
--- /dev/null
+++ b/bootstrap.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set -ex
+
+if [ -f .git/hooks/pre-commit.sample -a ! -f .git/hooks/pre-commit ] ; then
+ cp -p .git/hooks/pre-commit.sample .git/hooks/pre-commit && \
+ chmod +x .git/hooks/pre-commit && \
+ echo "Activated pre-commit hook."
+fi
+
+aclocal
+libtoolize -c
+autoconf
+autoheader
+automake --foreign --add-missing --copy
+
+CFLAGS="$CFLAGS -g -O0" ./configure --sysconfdir=/etc --localstatedir=/var
+
+make clean